Dansk Arch Linux forum

For det danske Arch Linux community

Du er ikke logget ind.


Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#1 05-11-2011 16:43:36

looop
Ny på Archforum
Registreret: 25-07-2010
Indlæg: 20
Website

Xorg-server får en fejl når pakken er hentet

Hey jeg har installeret gdm for der efter at installer xorg-server, men når jeg køre

Kode:

pacman -Syu xorg-server

så får jeg at pakken skal tjekkes så får jeg en fejl om at den ikke kan tjekkes, og uden engligt at havde tænkt over det har jeg installeret XFCE4 bag efter kan jeg afinstaler det og så prøve at installer xorg igen ? og hvordan gør jeg det (jeg er ny til arch)

-Det med xfce har jeg fundet ud af

Sidst ændret af looop (05-11-2011 16:51:49)


Mac OS X, Desktop BSD, Slackware 13.37 and Arch Linux

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#2 05-11-2011 17:31:14

looop
Ny på Archforum
Registreret: 25-07-2010
Indlæg: 20
Website

Re: Xorg-server får en fejl når pakken er hentet

Her er en lidt mere præcis beskrivelse:

Kode:

pacman -Syy xorg-server
.
.
.
.
Proceed with installation? [Y/n]
(123/123) checking package integrity
 (123/123) checking for file conflicts
error: failed to commit transaction (conflicting files)
initscripts: /etx/profile.d/locale.sh exist in filesystem
Errors occurred, no packages were upgraded.

Mac OS X, Desktop BSD, Slackware 13.37 and Arch Linux

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

#3 05-11-2011 18:26:09

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 779
Website

Re: Xorg-server får en fejl når pakken er hentet

Hej og velkommen til Arch Linux.

Dit problem er ikke ret svært at løse og det er beskrevet her:
http://www.archlinux.org/news/initscrip … -required/

Årsagen til problemet skal findes ved den måde du installerede Arch Linux på. Jeg så din tråd på Linuxin.dk og jeg kan forstå at du installerede fra CD uden brug af net. Det er generelt en meget dårlig ide at installere Arch Linux på denne måde da du derved installere meget gamle pakker som så derefter skal opdateres på systemet. Hvis du derimod valgte at installere med en net-install vil du efter installationen så med et fuldt ud opdateret system. Man kan selvfølgelig bare opdatere systemet efter installationen men problemet er at du som ny Arch Linux bruger næppe lige har overskud til at skulle kæmpe med en masse problemer efter installationen som nemt kunne være undgået. smile

Dit andet problem er måden du installere xorg-server på. Du bruger kommandoen "pacman -Syu xorg-server" og jeg vil lige forklare hvad du gør med denne kommando. Først og fremmest opdaterer du pakkelisten på systemet så pacman er klar over hvilke pakke der kan hentes fra serveren (-Sy). Derefter vælger du at sige at pacman skal tjekke efter om der er nogle pakker der kan opdateres (-u). Og så vælger du tilsidst at den samtidig med opdateringerne skal installere pakken "xorg-server". Eftersom dit system ikke er opdateret vil du derfor få en masse opdateringer samtidig hvilket godt kan gøre det svært at finde ud af om fejlen skyldes "xorg-server" eller opdateringen af systemet. Jeg vil lige til en anden gang anbefale dig at lave en "pacman -Syu" alene først og derefter lave en "pacman -S xorg-server" således du er klar over hvor i processen tingene går skævt.

Men altså problemet med den fil der konflikter er som tidligere skrevet nævnt i nyheden jeg linkede til i starten af dette indlæg. smile

Endnu engang velkommen til Arch Linux. Håber ikke du vælger at bedømme hele systemet på baggrund af disse startvanskeligheder. tongue


Administrator for Archlinux.dk

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#4 05-11-2011 19:40:43

looop
Ny på Archforum
Registreret: 25-07-2010
Indlæg: 20
Website

Re: Xorg-server får en fejl når pakken er hentet

Okay tak, det løst mit problem nu har jeg bare et andet, hvis jeg kører: startxfce så får jeg ganske vist min muse frem men resten af skærmen er bare sort og JA jeg har installeret gdm - Jeg syntes pt at slackware er meget letter end Arch big_smile


Mac OS X, Desktop BSD, Slackware 13.37 and Arch Linux

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#5 05-11-2011 23:36:25

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 779
Website

Re: Xorg-server får en fejl når pakken er hentet

Nu installerede du jo kun xorg-server så lad mig lige anbefale du læser følgende guide:
https://wiki.archlinux.org/index.php/Be … _Interface

Herefter læser du så følgende:
https://wiki.archlinux.org/index.php/Xfce#Installation

XFce har intet med GDM at gøre så jeg ved ikke hvor du får den ide fra at det vil hjælpe at installere GDM. Derimod mistænker jeg at du har glemt alt om dbus at gøre dbus som daemon. Dette står der meget mere om i de links jeg har sendt.


Administrator for Archlinux.dk

Offline

 

Board footer

Powered by FluxBB